[package]
name = "moire-app"
version = "0.0.0"
edition = "2021"
license = "GPL-3.0-or-later"
publish = false

[[bin]]
name = "moire"

[dependencies]
assert_no_alloc = { version = "1.1", default-features = false, features = [ "warn_release" ] }
basedrop = "0.1"
directories = "4.0"
log = "0.4"
pretty_env_logger = "0.4"
rtrb = "0.2"
tokio = { version = "1.20", default-features = false, features = [
    "rt-multi-thread",
] }

aoide-desktop-app = "0.8"

# Workspace dependencies
moire-audio-dsp = { path = "../audio-dsp" }
moire-audio-io = { path = "../audio-io" }
moire-library-backend = { path = "../library-backend" }
moire-ui = { path = "../ui" }
